## org.eclipse.xsd
Enum XSDContentTypeCategory

    java.lang.Object
      java.lang.Enum<XSDContentTypeCategory>
          org.eclipse.xsd.XSDContentTypeCategory

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<XSDContentTypeCategory>, Enumerator

    public enum XSDContentTypeCategory

extends java.lang.Enum<XSDContentTypeCategory>
implements Enumerator

A representation of the literals of the enumeration 'Content Type Category'.

See Also:
  `XSDComplexTypeDefinition.getContentTypeCategory()`, `XSDPackage.getXSDContentTypeCategory()`

Enum Constant Summary
`ELEMENT_ONLY_LITERAL` The 'Element Only' literal object
`EMPTY_LITERAL` The 'Empty' literal object
`MIXED_LITERAL` The 'Mixed' literal object
`SIMPLE_LITERAL` The 'Simple' literal object

Field Summary
`static int` `ELEMENT_ONLY` The 'Element Only' literal value
`static int` `EMPTY` The 'Empty' literal value
`static int` `MIXED` The 'Mixed' literal value
`static int` `SIMPLE` The 'Simple' literal value
`static java.util.List<XSDContentTypeCategory>` `VALUES` A public read-only list of all the 'Content Type Category' enumerators

Method Summary
`static XSDContentTypeCategory` `get(int value)` Returns the 'Content Type Category' literal with the specified integer value
`static XSDContentTypeCategory` `get(java.lang.String literal)` Returns the 'Content Type Category' literal with the specified literal value
`static XSDContentTypeCategory` `getByName(java.lang.String name)` Returns the 'Content Type Category' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static XSDContentTypeCategory` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static XSDContentTypeCategory[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EMPTY_LITERAL

    public static final XSDContentTypeCategory EMPTY_LITERAL

  The 'Empty' literal object.

  See Also:
    `EMPTY`

### SIMPLE_LITERAL

    public static final XSDContentTypeCategory SIMPLE_LITERAL

  The 'Simple' literal object.

  See Also:
    `SIMPLE`

### MIXED_LITERAL

    public static final XSDContentTypeCategory MIXED_LITERAL

  The 'Mixed' literal object.

  See Also:
    `MIXED`

### ELEMENT_ONLY_LITERAL

    public static final XSDContentTypeCategory ELEMENT_ONLY_LITERAL

  The 'Element Only' literal object.

  See Also:
    `ELEMENT_ONLY`

Field Detail

### EMPTY

    public static final int EMPTY

  The 'Empty' literal value.

  This is used to indicate that a complex type definition has empty content.

  See Also:
    `EMPTY_LITERAL`, Constant Field Values

### SIMPLE

    public static final int SIMPLE

  The 'Simple' literal value.

  This is used to indicate that a complex type definition has simple content.

  See Also:
    `SIMPLE_LITERAL`, Constant Field Values

### MIXED

    public static final int MIXED

  The 'Mixed' literal value.

  This is used to indicate that a complex type definition has mixed content.

  See Also:
    `MIXED_LITERAL`, Constant Field Values

### ELEMENT_ONLY

    public static final int ELEMENT_ONLY

  The 'Element Only' literal value.

  This is used to indicate that a complex type definition has element-only content.

  See Also:
    `ELEMENT_ONLY_LITERAL`, Constant Field Values

### VALUES

    public static final java.util.List<XSDContentTypeCategory> VALUES

  A public read-only list of all the 'Content Type Category' enumerators.

Method Detail

### values

    public static final XSDContentTypeCategory[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(XSDContentTypeCategory c : XSDContentTypeCategory.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static XSDContentTypeCategory valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static XSDContentTypeCategory get(java.lang.String literal)

  Returns the 'Content Type Category' literal with the specified literal value.

### getByName

    public static XSDContentTypeCategory getByName(java.lang.String name)

  Returns the 'Content Type Category' literal with the specified name.

### get

    public static XSDContentTypeCategory get(int value)

  Returns the 'Content Type Category' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<XSDContentTypeCategory>`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.